import os

from .basic_actions import *
from .docker import *
from .interactive_session import *
from .permissions import *
from .server_management import *
from .stats import *
from .systemctl import *
from .scp import *
from ..models.crud.server_crud import fn_get_all_chat_ids


async def notify_about_updates():
    if not os.path.exists('app.info'):
        return
    with open('app.info') as f:
        app_info = f.read()
    for chat_id in await fn_get_all_chat_ids(settings.engine):
        await settings.dispatcher.bot.send_message(chat_id,
                                                   '* Admin bot was recently updated. *\n'
                                                   '* Release info: *\n'
                                                   f'version: `{bot_version}`\n'
                                                   f'{app_info}',
                                                   parse_mode=ParseMode.MARKDOWN)


async def start_bot():
    if settings.app_mode == 'prod':
        await notify_about_updates()
    await settings.dispatcher.start_polling()
