"""Initial migration

Revision ID: 54c1babe22ee
Revises: 
Create Date: 2020-01-16 22:02:19.997389

"""
from alembic import op
import sqlalchemy as sa
import sqlalchemy_utils


# revision identifiers, used by Alembic.
revision = '0001'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('servers',
    sa.Column('chat_id', sa.String(), nullable=False),
    sa.Column('server_admin', sa.String(), nullable=False),
    sa.Column('server_address', sa.String(length=100), nullable=False),
    sa.Column('server_alias', sa.String(length=100), nullable=False),
    sa.Column('server_port', sa.Integer(), server_default='22', nullable=False),
    sa.Column('server_permissions', sa.Enum('INFO', 'DOCKER', 'SERVICES', 'RCE', 'DELETE', name='serverpermissions'), server_default=sa.text("'INFO'"), nullable=False),
    sa.PrimaryKeyConstraint('chat_id', 'server_address'),
    sa.UniqueConstraint('chat_id', 'server_alias', name='_chat_server_uc')
    )
    op.create_index(op.f('ix_servers_chat_id'), 'servers', ['chat_id'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_servers_chat_id'), table_name='servers')
    op.drop_table('servers')
    # ### end Alembic commands ###
