"""Adding scp permission level

Revision ID: 86fb331dd32c
Revises: 0001
Create Date: 2020-02-01 14:37:14.187262

"""
from alembic import op

# revision identifiers, used by Alembic.

revision = '0002'
down_revision = '0001'
branch_labels = None
depends_on = None


def update_enum(values):
    return f"""
    CREATE TYPE serverpermissions1 AS ENUM ({values});
    ALTER TABLE servers
        ALTER COLUMN server_permissions DROP DEFAULT,
        ALTER COLUMN server_permissions TYPE serverpermissions1 USING (server_permissions::text::serverpermissions1),
        ALTER COLUMN server_permissions SET DEFAULT 'INFO';
    DROP TYPE serverpermissions;
    ALTER TYPE serverpermissions1 RENAME TO serverpermissions;
    """


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(update_enum("'INFO', 'SCP', 'DOCKER', 'SERVICES', 'RCE', 'DELETE'"))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute(f"""
    UPDATE servers SET server_permissions='INFO' where server_permissions='SCP';
    {update_enum("'INFO', 'DOCKER', 'SERVICES', 'RCE', 'DELETE'")}
    """)
    # ### end Alembic commands ###
